#
# spec file for package ibus-pinyin
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           ibus-pinyin
Version:        1.5.0
Release:        12.3
Summary:        The PinYin engine for IBus platform
License:        GPL-2.0+
Group:          System/I18n/Chinese
Provides:       locale(ibus:zh)
Url:            http://code.google.com/p/ibus/
Source0:        http://ibus.googlecode.com/files/%{name}-%{version}.tar.gz
# PATCH-FIX-FEDORA ibus-pinyin-support-set-content-type-method.patch bnc#847718
Patch1:         ibus-pinyin-support-set-content-type-method.patch
# PATCH-FIX-FEDORA ibus-pinyin-fixes-lua-compile.patch fcrozat@suse.com -- fix build with lua 5.2
Patch2:         ibus-pinyin-fixes-lua-compile.patch
# PATCH-FIX-UPSTREAM Fix -Wlogical-not-parentheses warning
Patch3:         Wlogical-not-parentheses.patch
# PATCH ibus-pinyin-default-full.patch bnc#955325 qzhao@suse.com -- set Fullpinyin beyond dconf database as default.
Patch4:         ibus-pinyin-default-full.patch
BuildRequires:  boost-devel
BuildRequires:  gcc-c++
BuildRequires:  gettext-devel
BuildRequires:  ibus-devel >= 1.4.99
BuildRequires:  intltool
BuildRequires:  libuuid-devel
BuildRequires:  lua-devel >= 5.1
BuildRequires:  python >= 2.5
BuildRequires:  pyzy-devel >= 1.0
BuildRequires:  sqlite3
BuildRequires:  sqlite3-devel
BuildRequires:  update-desktop-files
Requires:       ibus >= 1.4.99
Requires:       opencc
Requires:       python-xdg
Requires:       pyzy-db-android
Requires:       pyzy-db-open-phrase

%description
PinYin engine for IBus platform. It provides a Chinese PinYin input method.


%description -l zh_CN
IBus 输入平台的拼音输入法支持引擎，本软件包为 IBus 提供中文拼音输入支持。

%prep
%setup -q
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1

%build
%configure --disable-static \
	   --libexecdir=%{_prefix}/%{_lib}/ibus

# make -C po update-gmo
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=${RPM_BUILD_ROOT} install

%find_lang %{name} 

%suse_update_desktop_file ibus-setup-pinyin Utility DesktopUtility System
%suse_update_desktop_file ibus-setup-bopomofo Utility DesktopUtility System

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING README
%{_datadir}/ibus-pinyin
%{_datadir}/applications/ibus-*.desktop
%dir %{_datadir}/ibus
%dir %{_datadir}/ibus/component
%{_datadir}/ibus/component/*
%dir %{_libdir}/ibus
%{_libdir}/ibus/ibus-engine-pinyin
%{_libdir}/ibus/ibus-setup-pinyin

%changelog
* Fri Dec 25 2015 qzhao@suse.com
- Set ibus-pinyin engine to full pinyin as default when dconf data not
  exist (bnc#955325)
* Wed Nov  4 2015 schwab@suse.de
- Wlogical-not-parentheses.patch: fix -Wlogical-not-parentheses
  warning (bnc#000000)
* Tue Apr 29 2014 fcrozat@suse.com
- Add ibus-pinyin-fixes-lua-compile.patch: fix build with Lua 5.2
  (Fedora).
- Switch BuildRequires to lua-devel.
* Thu Nov 21 2013 tiwai@suse.de
- ibus-pinyin-support-set-content-type-method.patch:
  Fix visible password entry in GNOME lock screen (CVE-2013-4509,
  bnc#847718); taken from Fedora package
* Wed Oct 30 2013 hillwood@linuxfans.org
- add python-xdg as Requires
* Fri Jul 12 2013 hillwood@linuxfans.org
- enable lua support
* Fri Dec 21 2012 hillwood@linuxfans.org
- update to 1.5.0
  * Add setup tag.
  * Quote $@ in autogen.sh
  * Fixes pinyin.xml
    Change the keyboard layout from us to default
    Update the symbols same as the icons
* Thu Sep  6 2012 hillwood@linuxfans.org
- update to 1.4.99.20120808
  Integrates pyzy
  Fix make dist & rpm errors.
* Wed Jul 25 2012 hillwood@linuxfans.org
- add a .desktop file for ibus-setup-pinyin from upstream
* Thu Jul  5 2012 hillwood@linuxfans.org
- add a requires package, opencc is needed by ibus-pinyin
* Sun Jul  1 2012 hillwood@linuxfans.org
- add a .desktop file
* Sat Jun  2 2012 hillwood@linuxfans.org
- enable opencc support
- fix build in Factory
* Wed Mar 21 2012 hillwood@linuxfans.org
- Update to 1.4.0
- Fix FSF-address warnings in RPMLINT report
* Wed Oct 12 2011 tiwai@suse.de
- Fix build with ibus-1.4 (bnc#723591)
* Fri Jul 22 2011 tiwai@suse.de
- Add locale-specific provides tag (bnc#707712)
* Tue Jun 14 2011 swyear@gmail.com
- Update to 1.3.11;
  including fixes for new ibus
* Mon Jul 12 2010 mxwu@novell.com
- Upgrade to 1.3.8:
  * Fix config problem
  * Fix punct editor problem
  * Add Ctrl + Shift + F to switch between Simplified Chinese and Traditional Chinese.
  * Reset Pinyin properties when enable input method.
  * Add ZhuYin (Bopomofo) input method setup UI
  * Add Several ZhuYin keyboard mappings (Standard GinYieh Eten IBM).
  * Add Chinese ZhuYin input method, contributed by BYVoid more information
  * Add punct input mode. Press '`' could switch punct input mode.
  * Fix crash in pinyin parser.
* Wed May 12 2010 mxwu@novell.com
- Upgrade to 1.3.5 -
  * Fix double pinyin parse problem
  * Remove dependence library sigc++
  * Fix half full punct problem
  * Clear preedit text, when user presses Shift to switch En/Ch mode
  * Support auto correct: v=>u, ve=>ue, van=>uan, vn=>un, ven=>un, vang=>uang
  * Refine pinyin parser to split pinyin more accuracy.
  * Fix build problems in BSD
  * Support user custom phrases phrases.txt
  * Do not prefetch data to save several seconds during start
  * Optimize database query method for better performance
  * Several bug fixing
* Wed Mar 24 2010 tiwai@suse.de
- fix file list
* Thu Jan 28 2010 mxwu@novell.com
- Initial import
